Summary:	Utilities to create and check MS-DOS FAT filesystems
Name:		dosfstools
Version:        3.0.5
Release:        %mkrel 1
Source0:	http://www.daniel-baumann.ch/software/dosfstools/%{name}-%{version}.tar.bz2
License:	GPLv3+
URL:		http://www.daniel-baumann.ch/software/dosfstools/
Group:		File tools
Obsoletes:	mkdosfs-ygg
Provides:	mkdosfs-ygg = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Inside of this package there are two utilities to create and to
check MS-DOS FAT filesystems on either harddisks or floppies under
Linux.  This version uses the enhanced boot sector/superblock
format of DOS 3.3+ as well as provides a default dummy boot sector
code.

%prep

%setup -q

%build
%make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=%{buildroot} install-bin install-man PREFIX=%{_prefix} SBINDIR=/sbin

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %doc ChangeLog doc/README.*
/sbin/mkdosfs
/sbin/mkfs.msdos
/sbin/mkfs.vfat
/sbin/fsck.msdos
/sbin/fsck.vfat
/sbin/dosfsck
/sbin/dosfslabel
%{_mandir}/man8/*


%changelog
* Mon Jul 27 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.5-1mdv2010.0
+ Revision: 400703
- update to new version 3.0.5

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.4-1mdv2010.0
+ Revision: 398310
- update to new version 3.0.4

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 377310
- Update to new version 3.0.3
- Remove old patches
- Switch to new Source URL and website
- License is GPLv3+ now

* Thu Jan 22 2009 Pascal Terjan <pterjan@mandriva.org> 2.11-11mdv2009.1
+ Revision: 332485
- dosfslabel currently returns 0 if we asked to read label and 1 if we asked to set it.
  Always return 0

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.11-10mdv2009.1
+ Revision: 316669
- rediffed one fuzzy patch

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.11-9mdv2009.0
+ Revision: 230677
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Tue Jan 29 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.11-7mdv2008.1
+ Revision: 159954
- oops, fix typo
- don't remove fsck.vfat & fsck.msdos as it's considered safe now and
  should be automatically run when needed and/or 'fsck' is used

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 2.11-6mdv2008.1
+ Revision: 136747
- drop patch 2 to fix bug #36279

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Götz Waschk <waschk@mandriva.org> 2.11-5mdv2008.1
+ Revision: 117348
- update patch 4 to fix bug #36052 (missing dosfslabel)

* Tue Nov 20 2007 Götz Waschk <waschk@mandriva.org> 2.11-4mdv2008.1
+ Revision: 110699
- add patch from Fedora to add dosfslabel program
- fix large file support cflags to fix bug #27436


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.11-3mdv2007.0
+ Revision: 108279
- Import dosfstools

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.11-3mdv2007.1
- Rebuild

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 2.11-2mdk
- rebuild for sparc

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.11-1mdk
- 2.11
- sync with fedora
- fix summary-ended-with-dot
- convert changelog to utf-8

* Sun Oct 09 2005 Michael Scherer <misc@mandriva.org> 2.10-3mdk
- Rebuild

* Sat Jul 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.10-2mdk
- patch 3: fix build

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.10-1mdk
- 2.10
- drop prefix tag
- ship with 2.4 kernel header (S1) and compile against it (P2)
- drop patches that hasn't been applied
- spec cosmetics

